{
  "name": "SpurtCommerce",
  "version": "3.0.0",
  "description": "SpurtCommerce RESTFUL API",
  "main": "src/app.ts",
  "scripts": {
    "start": "nps",
    "test": "npm start test",
    "build": "npm start build",
    "presetup": "npm install",
    "generatedoc": "apidoc -i src -o src/public/apidoc",
    "setup": "npm start config && npm start setup.script",
    "dbseed": "npm start dbseed.script",
    "tslint": "tslint --project ."
  },
  "engines": {
    "node": ">=8.0.0"
  },
  "husky": {
    "hooks": {
      "pre-commit": "tslint --project ."
    }
  },
  "keywords": [
    "NodeJS",
    "TypeScript",
    "express"
  ],
  "apidoc": {
    "name": "SpurtCommerce V3.0.0",
    "version": "3.0.0",
    "description": "SpurtCommerce RESTFUL API Document",
    "title": "SpurtCommerce RESTFUL API Document"
  },
  "author": "Piccosoft",
  "dependencies": {
    "@types/express-ejs-layouts": "^2.3.1",
    "@types/express-session": "^1.15.12",
    "@types/express-validator": "^3.0.0",
    "@types/lusca": "^1.6.0",
    "@types/passport": "^1.0.0",
    "@types/paypal-rest-sdk": "^1.7.4",
    "apidoc": "^0.17.7",
    "array-to-tree": "^3.3.0",
    "await-exec": "^0.1.2",
    "aws-sdk": "^2.391.0",
    "bcrypt": "3.0.1",
    "chalk": "^2.4.1",
    "class-transformer-validator": "^0.7.1",
    "class-validator": "^0.8.1",
    "commander": "^2.19.0",
    "compression": "^1.7.1",
    "copyfiles": "^2.1.0",
    "cors": "^2.8.5",
    "dataloader": "^1.3.0",
    "dotenv": "6.0.0",
    "ejs": "^2.6.1",
    "event-dispatch": "^0.4.1",
    "exceljs": "^1.11.0",
    "express": "^4.16.2",
    "express-basic-auth": "^1.1.3",
    "express-ejs-layouts": "^2.5.0",
    "express-flash": "0.0.2",
    "express-graphql": "^0.6.11",
    "express-session": "^1.16.2",
    "express-status-monitor": "^1.0.1",
    "express-validator": "^5.3.1",
    "faker": "^4.1.0",
    "figlet": "^1.2.0",
    "findit": "^2.0.0",
    "fs": "0.0.1-security",
    "glob": "^7.1.2",
    "gm": "^1.23.1",
    "graphql": "14.0.2",
    "helmet": "^3.20.0",
    "imagemagick": "^0.1.3",
    "jsonfile": "5.0.0",
    "jsonwebtoken": "^8.4.0",
    "lusca": "^1.6.1",
    "microframework-w3tec": "^0.6.3",
    "moment": "^2.24.0",
    "morgan": "^1.9.0",
    "multer": "^1.4.1",
    "multer-s3": "^2.9.0",
    "mysql": "^2.16.0",
    "nodemailer": "^5.1.1",
    "nodemailer-smtp-transport": "^2.7.4",
    "nodemon": "^1.12.1",
    "nps": "^5.7.1",
    "nps-utils": "^1.7.0",
    "parse-int": "^1.0.3",
    "passport": "^0.4.0",
    "passport-local": "^1.0.0",
    "paypal-rest-sdk": "^1.8.1",
    "pg": "^7.4.3",
    "reflect-metadata": "^0.1.10",
    "routing-controllers": "^0.7.7",
    "serve-favicon": "^2.4.5",
    "slugify": "^1.3.4",
    "supertest": "^3.0.0",
    "swagger-ui-express": "4.0.1",
    "ts-node": "7.0.1",
    "tslint": "^5.8.0",
    "type-graphql": "^0.15.0",
    "typedi": "0.8.0",
    "typeorm": "^0.2.18",
    "typeorm-seeding": "^1.0.0-beta.6",
    "typeorm-typedi-extensions": "^0.2.1",
    "typescript": "3.0.3",
    "uuid": "^3.3.2",
    "winston": "3.1.0"
  },
  "jest": {
    "transform": {
      ".(ts|tsx)": "<rootDir>/test/preprocessor.js"
    },
    "testRegex": "(/__tests__/.*|\\.(test|spec))\\.(ts|tsx|js)$",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "json"
    ],
    "testEnvironment": "node",
    "setupTestFrameworkScriptFile": "./test/unit/lib/setup.ts"
  },
  "license": "MIT",
  "devDependencies": {
    "@types/bcrypt": "^2.0.0",
    "@types/bluebird": "^3.5.18",
    "@types/chalk": "^2.2.0",
    "@types/commander": "^2.11.0",
    "@types/cors": "^2.8.1",
    "@types/dotenv": "^4.0.2",
    "@types/express": "^4.0.39",
    "@types/faker": "^4.1.2",
    "@types/figlet": "^1.2.0",
    "@types/helmet": "0.0.41",
    "@types/jest": "23.3.2",
    "@types/morgan": "^1.7.35",
    "@types/nock": "^9.1.3",
    "@types/reflect-metadata": "0.1.0",
    "@types/serve-favicon": "^2.2.29",
    "@types/supertest": "^2.0.4",
    "@types/uuid": "^3.4.3",
    "@types/winston": "^2.3.7",
    "cross-env": "^5.1.1",
    "husky": "^2.4.1",
    "jest": "^24.8.0",
    "mock-express-request": "^0.2.0",
    "mock-express-response": "^0.2.1",
    "ncp": "^2.0.0",
    "nock": "10.0.0",
    "pre-commit": "^1.2.2",
    "ts-jest": "23.10.1"
  }
}
